Subject: bug#61281: “`(a \, b)” equals to “`(a . ,b)”

From: Michael Heerdegen <[email-masked]>
Date: Thu, 09 Feb 2023 02:37:48 +0100

Drew Adams <[email-masked]> writes:

> Dunno.  I didn't intend to use ",X" at all.  That
> was from you.
>
> I think that should particularly be pointed out in
> comments is this bug: that "\," evaluates, just
> like "," does, when inside backquote.  And it even
> splices, like ",@" does.  This isn't obvious, even
> if it might be a rare/corner case.

So you think that somebody that is able to look up and understand the
Lisp part of the implementation of backquote expansion will - after
reading the comment that the reader construct expands like ,X -> (\, X)
- will _not_ understand that this implies that the symbol \, appearing in
a list inside a backquote expression has to be interpreted by backquote?

Here we disagree, I can't imagine such a person.

Michael.